Author: des
Date: Tue Feb 14 12:43:33 2012
New Revision: 231676
URL: http://svn.freebsd.org/changeset/base/231676

Log:
  MFH r230007, r230388: document quiet*, fix devd/dhclient interaction.

Modified:
  stable/9/etc/rc.d/dhclient
  stable/9/etc/rc.subr
  stable/9/share/man/man8/rc.subr.8
Directory Properties:
  stable/9/etc/   (props changed)
  stable/9/share/man/   (props changed)

Modified: stable/9/etc/rc.d/dhclient
==============================================================================
--- stable/9/etc/rc.d/dhclient  Tue Feb 14 12:13:04 2012        (r231675)
+++ stable/9/etc/rc.d/dhclient  Tue Feb 14 12:43:33 2012        (r231676)
@@ -22,7 +22,14 @@ stop_precmd="dhclient_pre_check"
 dhclient_pre_check()
 {
        if [ -z "${rc_force}" ] && ! dhcpif $ifn; then
-               err 1 "'$ifn' is not a DHCP-enabled interface"
+               local msg
+               msg="'$ifn' is not a DHCP-enabled interface"
+               if [ -z "${rc_quiet}" ]; then
+                       echo "$msg"
+               else
+                       debug "$msg"
+               fi
+                       exit 1
        fi
 }
 

Modified: stable/9/etc/rc.subr
==============================================================================
--- stable/9/etc/rc.subr        Tue Feb 14 12:13:04 2012        (r231675)
+++ stable/9/etc/rc.subr        Tue Feb 14 12:43:33 2012        (r231676)
@@ -1117,7 +1117,7 @@ load_rc_config_var()
 #
 rc_usage()
 {
-       echo -n 1>&2 "Usage: $0 [fast|force|one]("
+       echo -n 1>&2 "Usage: $0 [fast|force|one|quiet]("
 
        _sep=
        for _elem; do

Modified: stable/9/share/man/man8/rc.subr.8
==============================================================================
--- stable/9/share/man/man8/rc.subr.8   Tue Feb 14 12:13:04 2012        
(r231675)
+++ stable/9/share/man/man8/rc.subr.8   Tue Feb 14 12:43:33 2012        
(r231676)
@@ -339,7 +339,7 @@ with
 being the list of valid arguments
 prefixed by
 .Sm off
-.Dq Bq Li fast | force | one .
+.Dq Bq Li fast | force | one | quiet .
 .Sm on
 .It Ic reverse_list Ar item ...
 Print the list of
@@ -427,6 +427,22 @@ Skip the checks for
 being set to
 .Dq Li YES ,
 but performs all the other prerequisite tests.
+.It Li quiet
+Inhibits some verbose diagnostics.
+Currently, this includes messages
+.Qq Starting ${name}
+(as checked by
+.Ic check_startmsgs
+inside
+.Nm )
+and errors about usage of services that are not enabled in
+.Xr rc.conf 5 .
+This prefix also sets
+.Va rc_quiet Ns = Ns Li YES .
+.Em Please, note:
+.Va rc_quiet
+is not intended to completely mask all debug and warning messages,
+but only certain small classes of them.
 .El
 .Pp
 .Ic run_rc_command
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscr...@freebsd.org"

Reply via email to